---
title: HTMLContentElement
slug: Web/API/HTMLContentElement
tags:
  - API
  - Deprecated
  - HTML DOM
  - Interface
  - Reference
  - Référence(2)
---
<p>{{ APIRef("Web Components") }}</p>

<p>{{Deprecated_header}}</p>

<p>The <code><strong>HTMLContentElement</strong></code> interface represents a {{HTMLElement("content")}} HTML Element, which is used in <a href="/en-US/docs/Web/Web_Components/Shadow_DOM">Shadow DOM</a>. </p>

<h2 id="Properties">Properties</h2>

<p><em>This interface inherits the properties of {{domxref("HTMLElement")}}.</em></p>

<dl>
	<dt>{{domxref("HTMLContentElement.select")}}</dt>
	<dd>Is a {{domxref("DOMString")}} that reflects the {{ htmlattrxref("select", "content") }} HTML attribute. The value is a comma-separated list of CSS selectors that select the content to insert in place of the <code>&lt;content&gt;</code> element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface inherits the methods of {{domxref("HTMLElement")}}.</em></p>

<dl>
	<dt>{{domxref("HTMLContentElement.getDistributedNodes()")}}</dt>
	<dd>Returns a static {{domxref("NodeList")}} of the {{glossary("distributed nodes")}} associated with this <code>&lt;content&gt;</code> element. </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>This feature is no longer defined by any standards.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLContentElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{HTMLElement("content")}} HTML element, implementing this interface.</li>
	<li><a href="/en-US/docs/Web/Web_Components/Shadow_DOM">Shadow DOM</a></li>
</ul>

<dl>
	<dt> </dt>
</dl>
